[@rxap/forms](../wiki/globals) / RxapForm

# Function: RxapForm()

> **RxapForm**(`optionsOrId`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/forms/src/lib/decorators/form.ts:4](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/decorators/form.ts#L4)

## Parameters

### optionsOrId

`string` | [`FormDefinitionMetadata`](../wiki/Interface.FormDefinitionMetadata)

### className

`string` = `'FormDefinition'`

### packageName

`string` = `'@rxap/forms'`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
